# $Revision: 1.11 $, $Date: 2007/04/30 21:57:49 $
Summary:	pclcomp application - compress PCL graphics files
Summary(pl.UTF-8):	Aplikacja pclcomp do kompresji plików graficznych PCL
Name:		xorg-app-pclcomp
Version:	0.99.2
Release:	0.1
License:	unknown, (C) HP
Group:		X11/Applications
# last version in X11R7.0-RC3, then removed due to (unclear?) license
Source0:	pclcomp-%{version}.tar.bz2
# Source0-md5:	8b8f20662da6a85c965718c0174d2cfd
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pclcomp compresses (or decompresses) HP-PCL (Printer Control Language)
graphics data. The supported compression modes are 0 (uncompressed),
1, 2 and 3. pclcomp will read files using any of the modes 0 through
3, and will output using the modes which will give the best
compression. This compressed version of the file may be sent directly
to a PCL compatible printer, thus reducing I/O bandwidth. Pictures may
also be saved in compressed form, reducing disk usage. In addition,
PCL "imaging" files for the PaintJet XL are also supported.

%description -l pl.UTF-8
pclcomp kompresuje (lub dekompresuje) dane graficzne w języku HP-PCL
(Printer Control Language). Obsługiwane metody kompresji to 0 (brak
kompresji), 1, 2 i 3. pclcomp odczytuje pliki skompresowane metodą 0
do 3 i tworzy dane metodą dającą najlepszą kompresję. Taką
skompresowaną wersję pliku można wysłać bezpośrednio na drukarkę
zgodną z PCL ograniczając wykorzystanie I/O. Obrazy także można
zapisywać w postaci skompresowanej, zmniejszając wykorzystanie dysku.
Ponadto obsługiwane są także pliki obrazów PCL dla drukarek PaintJet
XL.

%prep
%setup -q -n pclcomp-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-pclcomp.spec,v $
Revision 1.11  2007/04/30 21:57:49  qboosh
- informative descs from man

Revision 1.10  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.8  2005/12/09 11:41:25  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 14:04:43  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 17:34:09  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added pclcomp-man.patch
- release 0.02

* Sun Aug  7 2005 18:17:24  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
